--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Creates a new installer instance.
- !ruby/struct:SM::Flow::P 
  body: "Options are:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: ":env_shebang:"
    body: See Gem::Installer::new.
  - !ruby/struct:SM::Flow::LI 
    label: ":domain:"
    body: ":local, :remote, or :both. :local only searches gems in the current directory. :remote searches only gems in Gem::sources. :both searches both."
  - !ruby/struct:SM::Flow::LI 
    label: ":force:"
    body: See Gem::Installer#install.
  - !ruby/struct:SM::Flow::LI 
    label: ":format_executable:"
    body: See Gem::Installer#initialize.
  type: :NOTE
- !ruby/struct:SM::Flow::P 
  body: ":ignore_dependencies: Don't install any dependencies. :install_dir: See Gem::Installer#install. :security_policy: See Gem::Installer::new and Gem::Security. :wrappers: See Gem::Installer::new"
full_name: Gem::DependencyInstaller::new
is_singleton: true
name: new
params: (options = {})
visibility: public
